OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom

# PGeom_SurfaceOfRevolution Class Reference

`#include <PGeom_SurfaceOfRevolution.hxx>`

Inheritance diagram for PGeom_SurfaceOfRevolution:

[legend]

## Public Member Functions
Standard_EXPORT | PGeom_SurfaceOfRevolution ()
| Creates a SurfaceOfRevolution with default values. .
Standard_EXPORT | PGeom_SurfaceOfRevolution (const Handle(PGeom_Curve)&aBasisCurve, const gp_Dir &aDirection, const gp_Pnt &aLocation)
| Creates a SurfaceOfRevolution with these values. .
Standard_EXPORT void | Location (const gp_Pnt &aLocation)
| Set the value of the field location with <alocation>. .
Standard_EXPORT gp_Pnt | Location () const
| Returns the value of the field location. .
| PGeom_SurfaceOfRevolution (const Storage_stCONSTclCOM &a)
const gp_Pnt & | _CSFDB_GetPGeom_SurfaceOfRevolutionlocation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
gp_Pnt | location

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_SurfaceOfRevolution::PGeom_SurfaceOfRevolution | ( |  | ) |

Standard_EXPORT PGeom_SurfaceOfRevolution::PGeom_SurfaceOfRevolution | ( | const Handle(PGeom_Curve)& | aBasisCurve,
|  | const gp_Dir & | aDirection,
|  | const gp_Pnt & | aLocation
| ) |

PGeom_SurfaceOfRevolution::PGeom_SurfaceOfRevolution | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt& PGeom_SurfaceOfRevolution::_CSFDB_GetPGeom_SurfaceOfRevolutionlocation | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom_SurfaceOfRevolution::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_SweptSurface.

Standard_EXPORT gp_Pnt PGeom_SurfaceOfRevolution::Location | ( |  | ) | const

Standard_EXPORT void PGeom_SurfaceOfRevolution::Location | ( | const gp_Pnt & | aLocation | ) |

## Field Documentation

gp_Pnt PGeom_SurfaceOfRevolution::location`[private]`

The documentation for this class was generated from the following file:

- PGeom_SurfaceOfRevolution.hxx